%define pkg_name        Filter-Template
%define pkg_version     1.02
%define rpm_pkg_version 1.02
%define rpm_pkg_release 1.n0i.1

Summary:       Source filter for code templates or macros
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RC/RCAPUTO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call) >= 1.06


%description
Filter::Template is a Perl source filter that provides simple inline source
code templates. Inlined source code can be significantly faster than
subroutines, especially for small-scale functions like accessors and mutators.
On the other hand, they are more difficult to maintain and use. Choose your
trade-offs wisely.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Wed Jun 13 2007 Marius Feraru <altblue@n0i.net> - 1.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.02
